Package org.eclipse.net4j.util.ui.widgets

# Class EntryField

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.net4j.util.ui.widgets.EntryField

All Implemented Interfaces:
  `Drawable`

public final class EntryField extends Composite

Since:
  3.19
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`EntryField.ButtonAdvisor`
`static final class`
`EntryField.FieldConfig`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`EntryField(Composite parent, int style, EntryField.FieldConfig config)`

## Method Summary

Modifier and Type
Method
Description
`Point`
`computeSize(int wHint, int hHint, boolean changed)`
`Control`
`getControl()`
`String`
`getEntry()`
`boolean`
`isDirty()`
`boolean`
`isEmpty()`
`boolean`
`isExtraButtonVisible(int index)`
`boolean`
`isModeButtonVisible()`
`boolean`
`isPreviewMode()`
`void`
`resetDirty()`
`void`
`setEntry(String entry)`
`void`
`setExtraButtonVisible(int index, boolean visible)`
`boolean`
`setFocus()`
`void`
`setModeButtonVisible(boolean visible)`
`void`
`setPreviewMode(boolean previewMode)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### EntryField

public EntryField(Composite parent, int style, EntryField.FieldConfig config)

## Method Details

### getControl

public Control getControl()

### getEntry

public String getEntry()

### setEntry

public void setEntry(String entry)

### isEmpty

public boolean isEmpty()

### isDirty

public boolean isDirty()

### resetDirty

public void resetDirty()

### isPreviewMode

public boolean isPreviewMode()

### setPreviewMode

public void setPreviewMode(boolean previewMode)

### isExtraButtonVisible

public boolean isExtraButtonVisible(int index)

### setExtraButtonVisible

public void setExtraButtonVisible(int index, boolean visible)

### isModeButtonVisible

public boolean isModeButtonVisible()

Since:
  3.21

### setModeButtonVisible

public void setModeButtonVisible(boolean visible)

Since:
  3.21

### computeSize

public Point computeSize(int wHint, int hHint, boolean changed)

Overrides:
  `computeSize` in class `Control`

### setFocus

public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`